@font-face {
	font-family: 'Comicoro';
	src: url('res/Comicoro.ttf');
}
html {
	--color: rgb(0, 0, 0);
	--tint: rgb(0, 0, 0);
	height: 100%;
}
body {
	background-color: rgb(34, 21, 36);
	display: flex;
	flex-direction: column;
	height: 100%;
	background-image: url(res/landscape.webp) ;
	background-position: center;
	background-size: cover;
	font-family: Comicoro;
	margin: 0;
}
a {
	text-decoration: none;
	color: rgb(209, 0, 216);
	z-index: 9999;
}
#views {
	width: 250px;
}
#left {
	margin: 20px;
	flex-direction: row;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-left: 10px;
	height: 10%;
}
.category-label {
	text-shadow: 2px 2px 0px var(--color), 7px 7px 15px var(--color);
	z-index: -9999;
	font-size: 3.5vh;
	margin: 0;
}
#categories {
	display: flex;
	flex-direction: row;
	width: 100%;
	text-align: center;
}
#categories > * {
	background-image: url(res/cosmos.webp);
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 10px;
	border: 1px solid;
	border-bottom: 4px solid;
	color: rgb(255, 255, 255);
	border: 1px solid rgb(114, 112, 112);
	box-shadow: 1px 1px 20px black;
	border-radius: 1rem;
	backdrop-filter: saturate(180%) blur(20px);
	border-color: var(--color);
	flex-grow: 1;
	transition: border-width 0.2s linear;
}
#categories > *:hover {
	width: 0.9;
	animation: size-down 1s ease-in-out infinite;
	border-width: 8px;
	color: var(--color);
	font-weight: 900;
	margin: 10px;
	text-transform: uppercase;
	box-shadow: 1px 2px 15px var(--color);
	text-shadow: 1px 1px 5px var(--color);

	.category-label {
		text-shadow: 3px 3px 0px color-mix(in srgb, var(--color) 50%, var(--tint) 50%);
	}
}
.activated {
	border: 3px solid !important;
	border-bottom: 10px solid !important;
	color: var(--color) !important;
	font-weight: 900 !important;
	margin: 10px !important;
	text-transform: uppercase !important;
	box-shadow: 1px 2px 15px var(--color) !important;
	text-shadow: 1px 1px 5px var(--color) !important;
	animation: size-down 3s ease-in-out infinite;

	.category-label {
		text-shadow: 3px 3px 0px color-mix(in srgb, var(--color) 50%, var(--tint) 50%);
	}
}
main {
	box-sizing: border-box;
	height: 98%;
	margin: 10px 10px;
	overflow: hidden;
}
@media only screen and (max-width: 800px) {
	body {
		flex-direction: column !important;
		align-items: center;
	}
	#left {
		width: 95%;
		margin: 0;
		height: 20%;
		flex-direction: column;
	}
	#categories {
		display: grid;
		grid-auto-flow: row;
		grid-template-columns: repeat(4, 1fr);
		width: 100%;
		height: 25%;
		margin-bottom: 10px;
	}
	#categories > * {
		padding: 0 5px;
	}
	.category-label {
		font-size: 6vw;
	}
	main {
		width: 95%;
		position: absolute;
		bottom: 0;
		height: 70%;
	}
	.activated {
		border: 3px solid !important;
		border-bottom: 10px solid !important;
		color: var(--color) !important;
		font-weight: 900 !important;
		margin: 10px !important;
		text-transform: uppercase !important;
		box-shadow: 1px 2px 15px var(--color) !important;
		text-shadow: 1px 1px 5px var(--color) !important;
		animation: size-down 3s ease-in-out infinite;

		.category-label {
			text-shadow: 3px 3px 0px color-mix(in srgb, var(--color) 50%, var(--tint) 50%);
			font-size: .1.8rem;
		}
	}
	#categories > *:hover {
		width: 0.9;
		border: 3px solid;
		border-left: 10px solid;
		border-right: 10px solid;
		animation: size-down 1s ease-in-out infinite;
		color: var(--color);
		font-weight: 900;
		margin: 10px;
		text-transform: uppercase;
		box-shadow: 1px 2px 15px var(--color);
		text-shadow: 1px 1px 5px var(--color);

		.category-label {
			text-shadow: 3px 3px 0px color-mix(in srgb, var(--color) 50%, var(--tint) 50%);
			font-size: 1.1rem;
		}
	}
}
@keyframes size-down {
	0% {
		transform: scale(1) rotate(-3deg);
	}
	50% {
		transform: scale(1.1) rotate(3deg);
	}
	100% {
		transform: scale(1) rotate(-3deg);
	}
}
